*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.wrapper{
    height: 100vh;
    overflow-x: hidden;
    overflow-y: auto;
}
.container{
    height: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}
.container h1{
    margin: 20px 0;
    text-align: center;
    margin-bottom: 20px;
    font-size: 5rem;
    letter-spacing: 4px;
    color: black;
    text-shadow:0 0 10px rgba(0,0,0,0.3);
}
.gallery{
    display: flex;
    flex-wrap: wrap;    
    justify-content: space-between;
    object-fit: cover;
}

.card{
    width: 32%;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    margin-bottom: 20px;
}
.card img{
    height: 100%;
    width: 100%;
    filter: grayscale(100);
    box-shadow: 0 0 20px #333;
}

.card:hover{
    transform: scale(1.03);
    filter: drop-shadow(0 0 10px #333);
    transition: 0.3s;
}

.card:hover img{
    filter: grayscale(0%);
}
.card figcaption{
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 25px;
    height: 20%;
    width: 100%;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    opacity: 0;
    border-radius: 0 0 10px 10 px;
    background-image: linear-gradient(0deg, rgba(0, 0, 0, 0.5) 0%, rgba(255, 255, 255, 0) 100%);
    transition: 0.3s;
}
.card:hover figcaption {
    opacity: 1;
    transform: scale(1.03);
  }  
